BeanBinding (Grails 2.4.4)
Date: 2014-10-28

Package: org.codehaus.groovy.grails.commons.metaclass

## [Java] Class BeanBinding

- org.codehaus.groovy.grails.commons.metaclass.BeanBinding

- Extends Groovy's Binding Object to allow a binding to a particular bean where the properties of the Object become binding variables.

  Authors:
    Graeme Rocher
  Since:
    1.1

- - ### Constructor Summary

    Constructors
    Constructor and description
    `BeanBinding (java.lang.Object bean)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.Object` | `getVariable(java.lang.String name)`
    `java.util.Map` | `getVariables()`
    `void` | `setVariable(java.lang.String name, java.lang.Object value)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.Binding` | `groovy.lang.Binding#setProperty(java.lang.String, java.lang.Object), groovy.lang.Binding#getProperty(java.lang.String), groovy.lang.Binding#getVariable(java.lang.String), groovy.lang.Binding#hasVariable(java.lang.String), groovy.lang.Binding#setVariable(java.lang.String, java.lang.Object), groovy.lang.Binding#getVariables(), groovy.lang.Binding#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.Binding#setMetaClass(groovy.lang.MetaClass), groovy.lang.Binding#getMetaClass(), groovy.lang.Binding#wait(long, int), groovy.lang.Binding#wait(long), groovy.lang.Binding#wait(), groovy.lang.Binding#equals(java.lang.Object), groovy.lang.Binding#toString(), groovy.lang.Binding#hashCode(), groovy.lang.Binding#getClass(), groovy.lang.Binding#notify(), groovy.lang.Binding#notifyAll()`
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`

- - ### Constructor Detail

    - #### public BeanBinding(java.lang.Object bean)

  - ### Method Detail

    - #### @java.lang.Override public java.lang.Object getVariable(java.lang.String name)

    - #### @java.lang.Override @java.lang.SuppressWarnings("rawtypes") public java.util.Map getVariables()

    - #### @java.lang.Override public void setVariable(java.lang.String name, java.lang.Object value)